package models.dmp;

import models.DataModel;

import java.util.UUID;

public class Project implements DataModel<entities.Project>{
    private UUID id;
    private String label;
    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }        

    public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	@Override
    public void fromDataModel(entities.Project entity) {
        this.id = entity.getId();
        this.label = entity.getLabel();
    }

    @Override
    public entities.Project toDataModel() {
        entities.Project project = new entities.Project();
        project.setId(this.id);
        
        return project;
    }
}
